!------------------------------------------------------------------------------
!
real(fp) FUNCTION SGHECX(ZE)
!  ZE IN EV
!  SGHECX IN CM**2
!
!  JANEV-LANGER-EVANS-POST,
!  ELEMENTARY PROCESSES IN HYDROGEN-HELIUM PLASMAS
!  FIT FOR REACTION 6.3.1, HE + HE++ <--> HE++ + HE DBL CHARGE EXCHANGE
!
!  FIT TABLE IN SS 8.1, P. 255
!
!============
! idecl:  explicitize implicit INTEGER declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  INTEGER i
!============
! idecl:  explicitize implicit REAL declarations:
  real(fp) ze,zle,zls
!============
  real(fp) A631(9)
  DATA A631/-3.459818e+01_fp,-8.748942e-02_fp,&
       -2.445604e-02_fp,&
       2.392295e-03_fp, 9.876388e-04_fp,&
       -2.282013e-04_fp,&
       3.598361e-06_fp, 1.940270e-06_fp,&
       -1.105795e-07_fp/
!
  ZLE=log(ZE)
!
  ZLS=A631(9)
  DO I=8,1,-1
     ZLS=ZLS*ZLE+A631(I)
  enddo
!
  SGHECX=EXP(ZLS)
!
  RETURN
END FUNCTION SGHECX
!
!------------------------------------------------------------------------------
! 30Jun2000 fgtok -s r8_precision.sub "r8con.csh conversion"
! 02Aug2000 fgtok -s r8_precision.sub "r8con.csh conversion"
! 02Aug2000 fgtok
 
 
